<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="180dp"
    android:layout_height="60dp"
    android:padding="10dp"
    tools:background="#1C4892">

    <View
        android:id="@+id/layer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/transparent" />

    <ImageView
        android:id="@+id/sensorIcon"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:contentDescription="@null"
        android:scaleType="centerInside"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/sensorName"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@mipmap/icon_sy_temperature" />

    <TextView
        android:id="@+id/sensorName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="17dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/sensorValue"
        app:layout_constraintStart_toEndOf="@id/sensorIcon"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constrainedWidth="true"
        tools:text="温度" />

    <TextView
        android:id="@+id/sensorValue"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="17dp"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/sensorName"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="35°" />

</androidx.constraintlayout.widget.ConstraintLayout>